## libpng3 1.2.37-1maemo1%2b0m5

=== debian/changelog ===
libpng3 (1.2.37-1maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Thu, 25 Jun 2009 09:11:28 +0300

libpng3 (1.2.37-1maemo1) unstable; urgency=low

  * New upstream release
  * Fixes: NB#123586 (libpng vulnerability)

 -- Claudio Saavedra <csaavedra@igalia.com>  Tue, 23 Jun 2009 15:54:58 +0300

libpng3 (1.2.35-1maemo1) unstable; urgency=low

  * Sync to latest debian package.
  * Fixes: NB#103092 (libpng memory leak vulnerability)

 -- Claudio Saavedra <csaavedra@igalia.com>  Mon, 02 Mar 2009 16:38:58 +0200

libpng3 (1.2.35-1) unstable; urgency=high

  * New upstream release
    - http://secunia.com/advisories/33970/
      Fix a vulnerability reported by Tavis Ormandy in which
      some arrays of pointers are not initialized prior to using
      "malloc" to define the pointers.
      Closes: #516256
    - http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5907
      The png_check_keyword function in pngwutil.c in libpng, might
      allow context-dependent attackers to set the value of an
      arbitrary memory location to zero via vectors involving
      creation of crafted PNG files with keywords, related to an
      implicit cast of the '\0' character constant to a NULL pointer.
  * Don't build libpng3 when binary-indep target is not called.
    Closes: #486415

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Feb 2009 15:50:52 +1100

libpng3 (1.2.33-2) unstable; urgency=low

  * Fix the following lintian issues:
    W: libpng12-0: copyright-refers-to-versionless-license-file
       usr/share/common-licenses/GPL

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Feb 2009 11:32:17 +1100

libpng3 (1.2.33-1) experimental; urgency=low

  * New upstream release 
    - Fix memory leak after reading a malformed tEXt chunk

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Nov 2008 17:21:56 +1100

libpng3 (1.2.32-1) experimental; urgency=low

  * New upstream release
    - libpng.pc is configured to do static linking; closes: #483477
    - use autoconf variables in .pc and libpng-config; closes: #483478
  * Remove debian/patches/02-501109-pngtest.c.diff; it was merged

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Oct 2008 08:20:20 +1100

libpng3 (1.2.27-2) unstable; urgency=medium

  * Fix CVE-2008-3964: off-by-one error in pngtest.c; closes: #501109 
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Oct 2008 19:45:17 +1000

libpng3 (1.2.32-1maemo2) unstable; urgency=low

  * Add 02-enable-itxt.diff. Fixes: NB#92935 (Enable iTXt support in
    libpng)

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 07 Jan 2009 08:43:12 +0200

libpng3 (1.2.32-1maemo1) unstable; urgency=low

  * New upstream release
  * Sync debian stuff from 1.2.27-1
  * Fixes: NB#84202 (libpng vulnerability CVE-2008-1382)

 -- Claudio Saavedra <csaavedra@igalia.com>  Thu, 02 Oct 2008 14:28:52 +0300

libpng3 (1.2.27-1) unstable; urgency=low

  * New upstream release
  * Patches merged upstream:
    debian/patches/02-476669-CVE-2008-1382.diff
    debian/patches/03-404514-png.5.diff
  * Run ./autogen.sh

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Apr 2008 17:22:16 +1000

libpng3 (1.2.26-1) unstable; urgency=high

  * New upstream release. Closes: #431202
  * Use quilt
    Add 01-legacy.diff
  * Fix CVE-2008-1382 denial of service and possibly code execution
    Add 02-476669-CVE-2008-1382.diff
    Closes: #476669
  * Fix URL in png.5. Closes: #404514
    Add 03-404514-png.5.diff
  * Move examples to libpng12-dev. Closes: #401467
  * Fix "libpng (<= 1.2.20) contains grey-licensed code". Closes: #469126
  * Fix the following lintian issues:
    W: libpng source: debian-rules-ignores-make-clean-error line 37
    W: libpng source: substvar-source-version-is-deprecated libpng12-dev
    W: libpng source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    W: libpng12-0-udeb udeb: description-contains-homepage
    W: libpng3: description-contains-homepage
    W: libpng12-dev: description-contains-homepage
    W: libpng12-0: package-contains-empty-directory usr/bin/
    W: libpng12-0: package-contains-empty-directory usr/sbin/
    W: libpng12-0: description-contains-homepage
    W: libpng12-0: doc-base-unknown-section libpng12:22 Apps/Programming

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 20 Apr 2008 18:22:32 +1000

libpng3 (1.2.15~beta5-3) unstable; urgency=high

  * ACKed NMU. 
  * Fixed out-of-bounds read operations triggered by crafted
    png image files (CVE-2007-5269) (Closes: #446308).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Oct 2007 09:55:00 +1000

libpng3 (1.2.15~beta5-2.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Fixed out-of-bounds read operations triggered by crafted
    png image files (CVE-2007-5269) (Closes: #446308).

 -- Nico Golde <nion@debian.org>  Sun, 14 Oct 2007 01:12:51 +0200

libpng3 (1.2.15~beta5-2) unstable; urgency=high

  * It seems that a grayscale image with a malformed (bad CRC) tRNS
    chunk will crash libpng and mozilla. Closes: #424729.
    - CVE-2007-2445
      http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=2007-2445
    - CERT Vulnerability Note VU#684664
      http://www.kb.cert.org/vuls/id/684664

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 May 2007 17:34:02 +1000

libpng3 (1.2.15~beta5-1) unstable; urgency=low

  * Applied legacy_symbols.patch.
  * Changed shlibs dependecy versions to ">= 1.2.13-4".
  * libpng12-0: Added the following conflicts: mzscheme (<= 1:209-5),
    pngcrush (<= 1.5.10-2), pngmeta (<= 1.11-3), qemacs (<= 0.3.1-5),
    povray-3.5 (<= 3.5.0c-10).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 20 Dec 2006 10:24:18 +1100

libpng3 (1.2.15~beta5-0) unstable; urgency=high

  * New upstream release.
    - Fixed asm API functions not exported on amd64. Closes: #401044.

