## libpng3 1.2.37-1maemo3%2b0m5

=== debian/changelog ===
libpng3 (1.2.37-1maemo3+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.2.37-1maemo3+0m5

 -- Adam Endrodi <ext-adam.endrodi@nokia.com>  Thu, 08 Jul 2010 16:53:14 +0300

libpng3 (1.2.37-1maemo3) unstable; urgency=low

  * Fixes: NB#177839 - libpng vulnerability
    (CVE-2010-1205, CVE-2010-2249)

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Thu, 08 Jul 2010 11:01:24 +0300

libpng3 (1.2.37-1maemo2) unstable; urgency=low

  * Fixes: NB#159609 - libpng potential remote crash / DoS vulnerability
    (CVE-2010-0205)

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Mon, 17 May 2010 11:17:32 +0300
